
package mhp.oee.wserp.tzdgdcx;

import java.net.MalformedURLException;
import java.net.URL;
import javax.xml.namespace.QName;
import javax.xml.ws.Service;
import javax.xml.ws.WebEndpoint;
import javax.xml.ws.WebServiceClient;
import javax.xml.ws.WebServiceException;
import javax.xml.ws.WebServiceFeature;


/**
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.2.9-b130926.1035
 * Generated source version: 2.2
 * 
 */
@WebServiceClient(name = "SI_ANDON_NOTIFICATION_SENDService", targetNamespace = "http://atlbattery.com/ECC/PM_notification_simplex", wsdlLocation = "http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/96d845c2009e33749f7df9c1e132b5df")
public class SIANDONNOTIFICATIONSENDService
    extends Service
{

    private final static URL SIANDONNOTIFICATIONSENDSERVICE_WSDL_LOCATION;
    private final static WebServiceException SIANDONNOTIFICATIONSENDSERVICE_EXCEPTION;
    private final static QName SIANDONNOTIFICATIONSENDSERVICE_QNAME = new QName("http://atlbattery.com/ECC/PM_notification_simplex", "SI_ANDON_NOTIFICATION_SENDService");

    static {
        URL url = null;
        WebServiceException e = null;
        try {
            url = new URL("http://ndsapd111.atlbattery.com:50900/dir/wsdl?p=ic/96d845c2009e33749f7df9c1e132b5df");
        } catch (MalformedURLException ex) {
            e = new WebServiceException(ex);
        }
        SIANDONNOTIFICATIONSENDSERVICE_WSDL_LOCATION = url;
        SIANDONNOTIFICATIONSENDSERVICE_EXCEPTION = e;
    }

    public SIANDONNOTIFICATIONSENDService() {
        super(__getWsdlLocation(), SIANDONNOTIFICATIONSENDSERVICE_QNAME);
    }

    public SIANDONNOTIFICATIONSENDService(WebServiceFeature... features) {
        super(__getWsdlLocation(), SIANDONNOTIFICATIONSENDSERVICE_QNAME, features);
    }

    public SIANDONNOTIFICATIONSENDService(URL wsdlLocation) {
        super(wsdlLocation, SIANDONNOTIFICATIONSENDSERVICE_QNAME);
    }

    public SIANDONNOTIFICATIONSENDService(URL wsdlLocation, WebServiceFeature... features) {
        super(wsdlLocation, SIANDONNOTIFICATIONSENDSERVICE_QNAME, features);
    }

    public SIANDONNOTIFICATIONSENDService(URL wsdlLocation, QName serviceName) {
        super(wsdlLocation, serviceName);
    }

    public SIANDONNOTIFICATIONSENDService(URL wsdlLocation, QName serviceName, WebServiceFeature... features) {
        super(wsdlLocation, serviceName, features);
    }

    /**
     * 
     * @return
     *     returns SIANDONNOTIFICATIONSEND
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIANDONNOTIFICATIONSEND getHTTPPort() {
        return super.getPort(new QName("http://atlbattery.com/ECC/PM_notification_simplex", "HTTP_Port"), SIANDONNOTIFICATIONSEND.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIANDONNOTIFICATIONSEND
     */
    @WebEndpoint(name = "HTTP_Port")
    public SIANDONNOTIFICATIONSEND getHTTPPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbattery.com/ECC/PM_notification_simplex", "HTTP_Port"), SIANDONNOTIFICATIONSEND.class, features);
    }

    /**
     * 
     * @return
     *     returns SIANDONNOTIFICATIONSEND
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIANDONNOTIFICATIONSEND getHTTPSPort() {
        return super.getPort(new QName("http://atlbattery.com/ECC/PM_notification_simplex", "HTTPS_Port"), SIANDONNOTIFICATIONSEND.class);
    }

    /**
     * 
     * @param features
     *     A list of {@link javax.xml.ws.WebServiceFeature} to configure on the proxy.  Supported features not in the <code>features</code> parameter will have their default values.
     * @return
     *     returns SIANDONNOTIFICATIONSEND
     */
    @WebEndpoint(name = "HTTPS_Port")
    public SIANDONNOTIFICATIONSEND getHTTPSPort(WebServiceFeature... features) {
        return super.getPort(new QName("http://atlbattery.com/ECC/PM_notification_simplex", "HTTPS_Port"), SIANDONNOTIFICATIONSEND.class, features);
    }

    private static URL __getWsdlLocation() {
        if (SIANDONNOTIFICATIONSENDSERVICE_EXCEPTION!= null) {
            throw SIANDONNOTIFICATIONSENDSERVICE_EXCEPTION;
        }
        return SIANDONNOTIFICATIONSENDSERVICE_WSDL_LOCATION;
    }

}
